Package tigase.xmpp.impl.roster

## Class RosterAbstract.RosterModifiedEvent

- java.lang.Object
- - tigase.server.xmppsession.UserSessionEvent
  - - tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter
    - - tigase.xmpp.impl.roster.RosterAbstract.RosterModifiedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `EventBusEvent`
  Enclosing class:
    RosterAbstract

      public static class RosterAbstract.RosterModifiedEvent
      extends UserSessionEventWithProcessorResultWriter

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RosterModifiedEvent()` |
    `RosterModifiedEvent​(JID sender, JID userJid, XMPPSession session, RosterElement rosterElement)` | Deprecated.
    `RosterModifiedEvent​(JID sender, JID userJid, XMPPSession session, JID jid, RosterAbstract.SubscriptionType subscription)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getGroups()` |
    `JID` | `getJid()` | Deprecated.
    `java.lang.String` | `getMixParticipantId()` |
    `java.lang.String` | `getName()` |
    `RosterAbstract.SubscriptionType` | `getSubscription()` |

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter

      `getPacketWriter, setPacketWriter`

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEvent

      `getSender, getSession, getUserJid, setSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RosterModifiedEvent

          public RosterModifiedEvent()

    - #### RosterModifiedEvent

          @Deprecated
          public RosterModifiedEvent​(JID sender,
                                     JID userJid,
                                     XMPPSession session,
                                     RosterElement rosterElement)

      Deprecated.

    - #### RosterModifiedEvent

          @Deprecated
          public RosterModifiedEvent​(JID sender,
                                     JID userJid,
                                     XMPPSession session,
                                     JID jid,
                                     RosterAbstract.SubscriptionType subscription)

      Deprecated.

  - ### Method Detail

    - #### getJid

          @Deprecated
          public JID getJid()

      Deprecated.

    - #### getName

          public java.lang.String getName()

    - #### getSubscription

          public RosterAbstract.SubscriptionType getSubscription()

    - #### getGroups

          public java.lang.String[] getGroups()

    - #### getMixParticipantId

          public java.lang.String getMixParticipantId()